--
-- $Id$
--
-- Zet MLD2BO voor alle vakgroepen aan
-- Zet tevens de notificatie overrule voor alle personen op Geen
-- Zet ook de notificatie setting gebruiker mag overrulen aan.

DEFINE thisfile = 'AADS#41104.SQL'
DEFINE dbuser   = '^AA|^ASMS|^GULU|^NMMS|^RABO|^ZKHM'


SET ECHO ON
SET DEFINE ON
COLUMN fcltlogfile NEW_VALUE fcltlogfile NOPRINT;
WHENEVER SQLERROR EXIT;
SELECT adm.scriptspoolfile('&dbuser', '&thisfile') AS fcltlogfile FROM DUAL;
WHENEVER SQLERROR CONTINUE;
SPOOL &fcltlogfile
SET DEFINE OFF

------ payload begin -----

UPDATE fac_srtnotificatie
   SET fac_srtnotificatie_usermode = 1
 WHERE UPPER (fac_srtnotificatie_code) = 'MLD2BO';
   
UPDATE prs_perslid
   SET prs_perslid_srtnoti_mode = 0
 WHERE prs_perslid_verwijder IS NULL AND prs_perslid_srtnoti_mode IS NULL;
 
UPDATE mld_disc_params
   SET mld_disc_params_bonotify = 1
 WHERE mld_disc_params_bonotify = 0;
   
------ payload end   ------

SET DEFINE OFF
BEGIN adm.systrackscriptId ('$Id$', 1); END;
/

COMMIT;
SET ECHO OFF
SPOOL OFF
SET DEFINE ON
PROMPT Logfile of this upgrade is: &fcltlogfile